﻿using Syncfusion.Windows.Controls.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ApplyBullettedListButton_Click(object sender, RoutedEventArgs e)
        {
            // Initializes a new abstract list instance.
            AbstractListAdv abstractListAdv = new AbstractListAdv(null);
            abstractListAdv.AbstractListId = 1;

            for (int i = 0; i < 9; i++)
            {
                // Defines new ListLevel instance.
                ListLevelAdv listLevel = new ListLevelAdv(abstractListAdv);
                switch (i % 3)
                {
                    case 0: listLevel.ListLevelPattern = ListLevelPattern.Number;
                        break;
                    case 1: listLevel.ListLevelPattern = ListLevelPattern.LowLetter;
                        break;
                    default:
                        listLevel.ListLevelPattern = ListLevelPattern.LowRoman;
                        break;
                }
                listLevel.NumberFormat = "%" + (i + 1).ToString() + ".";
                listLevel.StartAt = 1;
                listLevel.RestartLevel = i;

                // Adds list level to abstract list.
                abstractListAdv.Levels.Add(listLevel);
            }
            // Creates a new list instance.
            ListAdv listAdv = new ListAdv(null);
            listAdv.AbstractList = abstractListAdv;
            listAdv.AbstractListId = abstractListAdv.AbstractListId;
            listAdv.ListId = 1;

            // Adds abstract list to the document.
            richTextBoxAdv.Document.AbstractLists.Add(listAdv.AbstractList);
            // Adds list to the document.
            richTextBoxAdv.Document.Lists.Add(listAdv);

            // Defines 1st paragraph.
            ParagraphAdv paragraph = new ParagraphAdv();
            SpanAdv span = new SpanAdv();
            span.Text = "The following types of masonry walling comply with the R-value requirements:";
            paragraph.Inlines.Add(span);
            // Defines List format for the paragraph
            paragraph.ParagraphFormat.ListFormat.ListId = listAdv.ListId;
            paragraph.ParagraphFormat.ListFormat.ListLevelNumber = 0;
            paragraph.ParagraphFormat.LeftIndent = 48;
            paragraph.ParagraphFormat.FirstLineIndent = -24;
            richTextBoxAdv.Document.Sections[0].Blocks.Add(paragraph);

            // Defines 2nd paragraph.
            paragraph = new ParagraphAdv();
            span = new SpanAdv();
            span.Text = "Double-skin masonry with no cavity, plastered internally, or rendered externally; or NOTE The cavity and grouted cavity walling systems exceed the minimum R-value of 0.35";
            paragraph.Inlines.Add(span);
            // Defines List format for the paragraph
            paragraph.ParagraphFormat.ListFormat.ListId = listAdv.ListId;
            paragraph.ParagraphFormat.ListFormat.ListLevelNumber = 1;
            paragraph.ParagraphFormat.LeftIndent = 96;
            paragraph.ParagraphFormat.FirstLineIndent = -24;
            richTextBoxAdv.Document.Sections[0].Blocks.Add(paragraph);

            // Defines 3rd paragraph.
            paragraph = new ParagraphAdv();
            span = new SpanAdv();
            span.Text = "Single-leaf masonry walls with a nominal wall thickness greater than or equal to 140 mm (excluding plastering and rendering), plastered internally and rendered externally. The requirements refer to the external walls of the habitable portions of the building fabric only";
            paragraph.Inlines.Add(span);
            // Defines List format for the paragraph
            paragraph.ParagraphFormat.ListFormat.ListId = listAdv.ListId;
            paragraph.ParagraphFormat.ListFormat.ListLevelNumber = 1;
            paragraph.ParagraphFormat.LeftIndent = 96;
            paragraph.ParagraphFormat.FirstLineIndent = -24;
            richTextBoxAdv.Document.Sections[0].Blocks.Add(paragraph);

            // Defines 4th paragraph.
            paragraph = new ParagraphAdv();
            span = new SpanAdv();
            span.Text = "For masonry walling types not covered in 4.4.3.2, such walls shall achieve a minimum total R-value of 0.35. The total R-value shall be determined by means of a test conducted in accordance with ASTM C 1363, ASTM C 518 or ASTM C 177. Surface film resistance shall be in accordance with SANS 6946.";
            paragraph.Inlines.Add(span);
            // Defines List format for the paragraph
            paragraph.ParagraphFormat.ListFormat.ListId = listAdv.ListId;
            paragraph.ParagraphFormat.ListFormat.ListLevelNumber = 0;
            paragraph.ParagraphFormat.LeftIndent = 48;
            paragraph.ParagraphFormat.FirstLineIndent = -24;
            richTextBoxAdv.Document.Sections[0].Blocks.Add(paragraph);
        }
    }
}
